Redmine - Defect #19576

Ticket subject.strip in recent version not in an old one
2015-04-09 09:03 - Shigeru Wakita
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 2.6.3

Description
Hi,

| finally upgraded Redmine from 1.3.1 to 2.6.3 and found one problem; this did not happen at an old version [1.3.1] but happens
recent one [2.6.3].

RedmineReceivingEmails works fine as long as the subject is short. However, the problem is subject.strip works occasionally (not
always), if the subject gets longer and/or contains both English and Japanese characters. (This might be similar one to #18170.)

| could avoid this editing app/models/mail_handler.rb using this methods , but doing this at every upgrade time is annoying.
Followings are excerption of mail_handler.rb of each versions around issue.subject.

e Redmine 1.3.1 + Ruby 1.8.7 + Rails 3.2.8 [Problem NOT happened]

issue.subject = email.subject.to_s.chomp[0,255]

* Redmine 2.6.3 + Ruby 2.1.5 + Rails 3.2.21 [Problem happens]

issue.subject = cleaned_up_subject

def cleaned_up_subject

subject = email.subject.to_s
subject.strip([0,255]
end

NOTE: changing from strip to chomp could not solve the problem
I would like to clarify why this happens in resent version [2.6.1] but not in old one [1.3.1], and hope this will be fixed in up-coming
version.
If I misunderstood anything, please tell me.

Thanks in advance.

Related issues:

Is duplicate of Redmine - Defect #16859: rdm-mailhandler: subject corruption Closed

History

#1 - 2015-04-11 08:12 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Sorry, | don't get what the actual problem is. Could you provide an exemple or maybe a patch that includes a test?

#2 - 2015-04-13 04:57 - Shigeru Wakita

I would like to create a new issue with a subject as shown as it is in the email, but it occasionally fails.

Examples of such cases. Subject of the issue are not same as in email and ends unexpectedly.
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
https://www.redmine.org/issues/18170
https://groups.google.com/forum/#!topic/redmine-users-ja/tV-aHSTHYtE

Subject of the email sent to redmine

gooooooooooomoA11111118B]

ABC Defghi Jkimnopgrstuv
a00o00ooonooooo

Subject of the issue receiving email

000000DooDoommoyAt11111

ABC Defghi Jkimnopgrstuv 000000000

ref. https://groups.google.com/forum/#!topic/redmine-users-ja/tV-aHSTHYtE

#3 - 2015-05-07 10:23 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Duplicate of #16859.

"ABC Defghi Jkimnopgrstuv 00000000000000" is less than 255 on both of Ruby 1.8 and 1.9.

| think it is mail gem bug.

#4 - 2015-05-07 10:23 - Toshi MARUYAMA

- Is duplicate of Defect #16859: rdm-mailhandler: subject corruption added
https://groups.google.com/forum/#!topic/redmine-users-ja/tV-aHSTHYtE
https://www.redmine.org/issues/16859
http://www.tcpdf.org

